import { createBackend } from '@backstage/backend-defaults';
import { cnoeScaffolderActions } from './plugins/scaffolder';

const backend = createBackend();

// core plugins
backend.add(import('@backstage/plugin-app-backend'));
backend.add(import('@backstage/plugin-catalog-backend'));
backend.add(import('@backstage/plugin-proxy-backend'));
backend.add(import('@backstage/plugin-techdocs-backend/alpha'));

// auth plugins
backend.add(import('@backstage/plugin-auth-backend'));
backend.add(import('@backstage/plugin-auth-backend-module-guest-provider'));

// scaffolder plugins
backend.add(import('@backstage/plugin-scaffolder-backend/alpha'));
backend.add(
  import('@backstage/plugin-catalog-backend-module-scaffolder-entity-model'),
);
backend.add(import('@backstage/plugin-scaffolder-backend-module-github'));

// search plugins
backend.add(import('@backstage/plugin-search-backend/alpha'));

backend.add(import('@backstage/plugin-search-backend-module-catalog')); 
backend.add(import('@backstage/plugin-search-backend-module-techdocs/alpha'));

// other @backstage plugins
backend.add(import('@backstage/plugin-kubernetes-backend'));

// roadie plugins
backend.add(import('@roadiehq/scaffolder-backend-module-utils/new-backend'));
backend.add(import('./plugins/argocd_index'));

backend.add(
  import('@roadiehq/scaffolder-backend-module-http-request/new-backend'),
);

// cnoe plugins
backend.add(cnoeScaffolderActions);

backend.start();
